# $Revision: 1.2 $, $Date: 2002/07/28 15:49:27 $
#
# TODO:
# - add desktop and png icon for VisualOS
#
Summary:	visual simulator of and operating system
Summary(pl):	wizualny symulator systemu operacyjnego
Name:		VisualOS
Version:	1.0.4
Release:	1
License:	GPL
Group:		Applications/Emulators
Source0:	http://unc.dl.sourceforge.net/sourceforge/visualos/%{name}-%{version}.tar.gz
URL:		http://visualos.sourceforge.net/
BuildRequires:	automake
BuildRequires:	autoconf
BuildRequires:	libtool
BuildRequires:	gnome-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	libglade-devel
BuildRequires:	transfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
VisualOS is an "visual simulator of and operating system", that will
help study and understand the way a real sistem works.

It allows the user to insert processes in the running system,
assigning them properties (memory usage, processing bursts, IO
accesses) and VisualOS will dynamically show different graphical
representations of each subsystem. It is also posible to select the
algorithm to be used in each case.

%description -l pl
VisualOS jest "wizualnym symulatorem systemu operacyjnego", ktry
pomaga studiowa i zrozumie jak dziaa prawdziwy system operacyjny.

Pozwala uytkownikowi wstawiac procesy do uruchomionego systemu,
przypisywa im waciwoci(wykorzystanie pamici, procesora, IO) a
VisualOS bdzie dynamicznie pokazywa reprezentacje kadego
podsystemu. Mona take wybra algorytm do wykorzystania w kadym
przypadku.

%prep
%setup -q

%build
sed -e s/AM_GNOME_GETTEXT/AM_GNU_GETTEXT/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in
rm -f missing
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README TODO NEWS ChangeLog
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_mandir}/man?/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: VisualOS.spec,v $
Revision 1.2  2002/07/28 15:49:27  kloczek
- finished.
TODO: add desktop and png icon for VisualOS.

Revision 1.1  2002/07/16 21:57:02  undefine
- initial PLD version. build and works. stbr
